Name:           python-signal-ocean
Version:        13.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Access Signal Ocean Platform data using Python.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://apis.signalocean.com/
Source:         %{pypi_source signal-ocean}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'signal-ocean' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-signal-ocean
Summary:        %{summary}

%description -n python3-signal-ocean %_description


%prep
%autosetup -p1 -n signal-ocean-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-signal-ocean -f %{pyproject_files}


%changelog
%autochangelog